package RSSReader;

use strict;
use RSSReader::Feed;
use RSSReader::Category;
use base qw( RSSReader::Notifier RSSReader::Logger Exporter );

@RSSReader::EXPORT = qw( $VERSION $SYND_AGENT );

our $VERSION    	= '0.15';
our $SYND_AGENT 	= 'Syndigator/'.$VERSION ;
our $USER_DATA_DIR	= $ENV{HOME}.'/.syndigator/';

our $_s_reader;

sub new {
   my $c = shift;
   
   return $_s_reader if $_s_reader;

   $_s_reader = bless {}, $c;

   return $_s_reader;
}

1;
